# Apache設定クラス

class pbp_apache_rh7::config (
) inherits pbp_apache_rh7 {

  # httpd.confの設定
  include pbp_apache_rh7::config_httpd_conf

  # VirtualHostの設定
  keys($vhosts).each |$key| {
    pbp_apache_rh7::config_virtualhost { $key:
      vhostname  => $key,
      vhost_info => $vhosts[$key],
    }
  }

  Class['pbp_apache_rh7::config_httpd_conf']
    -> Pbp_apache_rh7::Config_virtualhost[keys($vhosts)]
}
